Main Page Packages Class Hierarchy Compound List File List Compound Members

# documentcreateelement Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documentcreateelement (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "createElement(tagName)" method creates an Element of the type specified. Retrieve the entire DOM document and invoke its "createElement(tagName)" method with tagName="address". The method should create an instance of an Element node whose tagName is "address". The NodeName, NodeType and NodeValue are returned.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-2141741547

Definition at line 45 of file documentcreateelement.java.

## Constructor & Destructor Documentation

documentcreateelement::documentcreateelement | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file documentcreateelement.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String documentcreateelement::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 69 of file documentcreateelement.java.
    00069                                 {
    00070       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documentcreateelement";
    00071    }

void documentcreateelement::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 72 of file documentcreateelement.java. References DOMTestCase::doMain().
    00072                                           {
    00073         DOMTestCase.doMain(documentcreateelement.class,args);
    00074    }

void documentcreateelement::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file documentcreateelement.java. References DOMTestCase::assertEquals(), DOMTestCase::assertNull(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       Element newElement;
    00056       String newElementName;
    00057       int newElementType;
    00058       String newElementValue;
    00059       doc = load("staff");
    00060       newElement = doc.createElement("address");
    00061       newElementName = newElement.getNodeName();
    00062       assertEquals("name","address",newElementName);
    00063       newElementType = (int)newElement.getNodeType();
    00064       assertEquals("type",1,newElementType);
    00065       newElementValue = newElement.getNodeValue();
    00066       assertNull("valueInitiallyNull",newElementValue);
    00067
    00068    }

The documentation for this class was generated from the following file:

- documentcreateelement.java